
From: Andrew Morton <akpm@osdl.org>

drivers/serial/sunzilog.c: In function `sunzilog_receive_chars':
drivers/serial/sunzilog.c:361: warning: statement with no effect

Cc: Russell King <rmk@arm.linux.org.uk>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/serial_core.h |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletion(-)

diff -puN include/linux/serial_core.h~uart_handle_sysrq_char-warning-fix include/linux/serial_core.h
--- 25-sparc64/include/linux/serial_core.h~uart_handle_sysrq_char-warning-fix	2005-07-14 21:58:53.000000000 -0700
+++ 25-sparc64-akpm/include/linux/serial_core.h	2005-07-14 21:59:18.000000000 -0700
@@ -402,7 +402,11 @@ uart_handle_sysrq_char(struct uart_port 
 	return 0;
 }
 #else
-#define uart_handle_sysrq_char(port,ch,regs)	(0)
+static inline int uart_handle_sysrq_char(struct uart_port *port,
+		unsigned int ch, struct pt_regs *regs)
+{
+	return 0;
+}
 #endif
 
 /*
_
